aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/runtest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/runtest.sh b/scripts/runtest.sh
index 04af2f8b..325cb1e4 100644
--- a/scripts/runtest.sh
+++ b/scripts/runtest.sh
@@ -202,7 +202,7 @@ txpect()
case ${1::1} in
# send input to child
- I) echo -en "${1:1}" >&$IN || { do_fail;break;} ;;
+ I) printf %s "${1:1}" >&$IN || { do_fail;break;} ;;
# check output from child
[OE])
@@ -211,7 +211,7 @@ txpect()
[ ${1::1} == 'E' ] && O=$ERR
A=
read -t2 $LARG A <&$O
- [ "$VERBOSE" == xpect ] && echo "$A" >&2
+ [ "$VERBOSE" == xpect ] && printf '%s\n' "$A" >&2
if [ $LEN -eq 0 ]
then
[ -z "$A" ] && { do_fail;break;}